Vai al contenuto principale
GET
JavaScript

Autorizzazioni

Authorization
string
header
obbligatorio

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parametri della query

page_size
integer<int32>

Page size default is 10 max is 100

Intervallo richiesto: x >= 0
page_number
integer<int32>

Page number default is 0

Intervallo richiesto: x >= 0
archived
boolean

List archived products

recurring
boolean

Filter products by pricing type:

  • true: Show only recurring pricing products (e.g. subscriptions)
  • false: Show only one-time price products
  • null or absent: Show both types of products
brand_id
string

filter by Brand id

Risposta

Products List

items
object[]
obbligatorio
Ultima modifica il 1 aprile 2026